package gov.va.med.esr.common.persistent.hibernate;

import java.util.Iterator;
import java.util.List;

import gov.va.med.esr.common.model.financials.IncomeThreshold;
import gov.va.med.esr.common.util.AbstractCommonTestCase;

public class IncomeThresholdTest extends AbstractCommonTestCase {
    
	public void testIncomeThresholdByYear() throws Exception {
     	try {
     		IncomeThreshold incomeThreshold = getLookupService().getIncomeThreshold(new Integer(2005));
            System.out.println(incomeThreshold);
     	}
     	catch(Exception ex) {
     		fail("Failed to get IncomeThreshold", ex);
     	}
     }

	public void testIncomeThreshold() throws Exception {
     	try {
     		List its = getLookupService().getAllIncomeThresholds();
     		for (Iterator i = its.iterator();i.hasNext();) {
                System.out.println(i.next());
     		}
     	}
     	catch(Exception ex) {
     		fail("Failed to get IncomeThreshold", ex);
     	}
     }

}
